> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete customer credit line

> Deletes the given customer credit line



## OpenAPI

````yaml /openapi-public.json delete /v1/customer-credits/{customerCreditId}/lines/{lineId}
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/customer-credits/{customerCreditId}/lines/{lineId}:
    delete:
      tags:
        - v1 - Customer Credits
      summary: Delete customer credit line
      description: Deletes the given customer credit line
      operationId: deleteCustomerCreditLine
      parameters:
        - name: customerCreditId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: lineId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8: {}
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````